// Кнопки
/*
.btn {
  display: inline-block;
  vertical-align: middle;
  background: none;
  outline: 0 none;
  border: 0 none;
  border-radius: 0;
  padding: 16px 24px;
  color: $main-bg-color;
  background-color: $bg-color;
  font-size: 17px;
  font-family: $bold-font;
  font-weight: 700;
  border: 2px solid transparent;
  transition: 0.5s;

  &:hover {
    color: $bg-color;
    background-color: transparent;
    border: 2px solid $bg-color;
  }

  &.btn-reverse {
    background: transparent;
    border: 2px solid $main-bg-color;
    color: $main-bg-color;

    &:hover {
      opacity: 0.5;   }
  }

  @include max-w($screen-xxl) {
    padding: 18px;
    font-size: 18px;
  }

  @include max-w($screen-xl) {
    font-size: 16px;
    padding: 10px;
  }

  @include max-w($screen-sm) {
    margin-bottom: 10px;
  }
}*/


.btn{
  position: relative;
  margin: auto;
  padding: 18px 22px;
  transition: all .2s ease;
  background: none;
  border: none;
  margin-left: 20px;
  display: inline-block;

  &:nth-of-type(1){
    margin-left: 0px;
  }


  &.btn-reverse {
    background: transparent;

    svg, path, polyline{
      fill: $main-bg-color;
      color:  $main-bg-color;
      stroke:$main-bg-color;
    }

    &:before{
      width: 100%;
      border-radius: 0px; 
      background: transparent;
      border: 2px solid $main-bg-color;
    }
  }
  

  &:before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    border-radius: 28px;
    background: rgba($bg-color,.5);
    width: 56px;
    height: 56px;
    transition: all .3s ease;
  }



  span{
    position: relative;
    line-height: 17px;
    font-size: 17px;
    font-family: $bold-font;
    font-weight: 700;
    vertical-align: middle;
    fill: $text-color;
  }

  svg{
    fill: $text-color;
    position: relative;
    top: 0;
    margin-left: 10px;
    fill: none;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke: $text-color;
    stroke-width: 2;
    transform: translateX(-5px);
    transition: all .3s ease;
  }

  &:hover{
    cursor: pointer;

    &:before{
      width: 100%;
      background: rgba($bg-color,1);
      border-radius: 0px;
    }

    &.btn-reverse {
      &:before{
        background: transparent;
      }
    }

    svg{
      transform: translateX(0)
    }
  &:active{
    transform: scale(.96)

  }
}
}

.btn-scroll-down {
  display: inline-block;
  opacity: 0;
  display: inline-block;
  position: absolute;
  bottom: 16px;
  img {
    max-width: 60px;
  }
}

.btn-group {
  text-align: center;
}
